For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
          • POSTCreate user
          • GETGet user
          • PUTUpdate user
          • DELDelete user
          • PUTConfigure MFA
          • POSTAuthenticate user
          • POSTRefresh token
          • GETLogout user
          • PUTUpdate password
          • POSTReset password
          • POSTValidate MFA
          • POSTResend MFA code
          • GETList users by org
          • GETList users by paypoint
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay Ops endpointsUser management

Get user

|View as Markdown|Open in Claude|
GET
/User/:userId
GET
/api/User/:userId
$curl -G https://api-sandbox.payabli.com/api/User/1000000 \
> -H "requestToken: <apiKey>" \
> -d entry=478ae1234
1{
2 "Access": [
3 {
4 "roleLabel": "customers",
5 "roleValue": true
6 }
7 ],
8 "AdditionalData": "AdditionalData",
9 "createdAt": "2022-07-01T15:00:01Z",
10 "Email": "example@email.com",
11 "language": "en",
12 "lastAccess": "2022-07-01T15:00:01Z",
13 "Name": "Sean Smith",
14 "Phone": "5555555555",
15 "Scope": [
16 {
17 "orgEntry": "pilgrim-planner",
18 "orgId": 123,
19 "orgType": 0
20 }
21 ],
22 "snData": "snData",
23 "snIdentifier": "snIdentifier",
24 "snProvider": "google",
25 "timeZone": -5,
26 "userId": 1000000,
27 "UsrMFA": false,
28 "UsrMFAMode": 0,
29 "UsrStatus": 1
30}
Use this endpoint to retrieve information about a specific user within an organization.
Was this page helpful?
Previous

Create user

Next

Update user

Authentication

requestTokenstring
API Key authentication via header

Path parameters

userIdlongRequired

The Payabli-generated userId value.

Query parameters

entrystringOptional
The entrypoint identifier.
levelintegerOptional

Entry level: 0 - partner, 2 - paypoint

Response

Success
Accesslist of objects
AdditionalDatastring

Custom dictionary of key:value pairs. You can use this field to store any data related to the object or for your system. Example usage:

1{
2 "additionalData": {
3 "key1": "value1",
4 "key2": "value2",
5 "key3": "value3"
6 }
7}
createdAtdatetime
The timestamp for the user's creation, in UTC.
Emailstringformat: "email"<=320 characters
The user's email address.
languagestring
The language code.
lastAccessdatetime
The timestamp for the user's last activity, in UTC.
Namestring
Phonestring<=50 characters
The user's phone number.
Scopelist of objects
snDatastring
Additional data provided by the social network related to the customer.
snIdentifierstring
Identifier or token for customer in linked social network.
snProviderstring

Social network linked to customer. Possible values: facebook, google, twitter, microsoft.

timeZoneinteger

Timezone, in UTC offset. For example, -5 is Eastern time.

userIdlong
The user's ID in Payabli.
UsrMFAboolean

When true, multi-factor authentication (MFA) is enabled.

UsrMFAModeinteger
UsrStatusinteger

The user’s status:

  • Inactive: 0
  • Active: 1
  • Deleted: -99
  • Locked: 85

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error